import { BugReportOutlined } from "@mui/icons-material";
import { Box, IconButton, Stack } from "@mui/material";
import { useRouter } from "next/router";
import { Settings } from "./Settings/Settings";
import { WindowButtons } from "./WindowButtons";

export const HeaderBar = () => {
  const router = useRouter();

  return (
    <Box
      className="titlebar"
      data-tauri-drag-region="true"
      sx={{
        alignItems: "center",
        // TODO: remove when done
        borderBottom: "1px solid red",
        display: "flex",
        flexDirection: "row",
        height: "48px",
        justifyContent: "space-between",
        p: 1,
      }}
    >
      <Box
        className="titlebar"
        data-tauri-drag-region="true"
        sx={{
          alignItems: "center",
          display: "flex",
          flexDirection: "row",
        }}
      >
        hello this is the left side
      </Box>
      <Box
        className="titlebar"
        data-tauri-drag-region="true"
        sx={{
          alignItems: "center",
          display: "flex",
          flexDirection: "row",
        }}
      >
        <Stack
          direction="row"
          spacing={2}
          sx={{
            alignItems: "center",
            display: "flex",
            flexDirection: "row",
          }}
        >
          <Settings />
          <WindowButtons />
        </Stack>
      </Box>
    </Box>
  );
};
